### Hierarchy

- Overridable

## Index

### Constructors

- constructor

### Properties

- $override
- _value
- baseTranslation
- i18n
- isOverridden
- path
- subscription

### Accessors

- subject
- value

### Methods

- override

## Constructors

### constructor

- new Overridable(path: string, i18n: I18n): Overridable

- - Defined in src/i18n/i18n.service.ts:99

  #### Parameters

  - ##### path: string

  - ##### i18n: I18n

  #### Returns Overridable

## Properties

### Protected $override

$override: BehaviorSubject<string>

- Defined in src/i18n/i18n.service.ts:86

### Protected _value

_value: string | Observable<string>

- Defined in src/i18n/i18n.service.ts:82

### Protected baseTranslation

baseTranslation: Observable<string> = this.i18n.get(this.path)

- Defined in src/i18n/i18n.service.ts:90

### Protected i18n

i18n: I18n

- Defined in src/i18n/i18n.service.ts:101

### Protected isOverridden

isOverridden: boolean = false

- Defined in src/i18n/i18n.service.ts:99

### Protected path

path: string

- Defined in src/i18n/i18n.service.ts:101

### Protected subscription

subscription: Subscription

- Defined in src/i18n/i18n.service.ts:95

## Accessors

### subject

subject:

- Defined in src/i18n/i18n.service.ts:71

### value

value:

- Defined in src/i18n/i18n.service.ts:58
- Defined in src/i18n/i18n.service.ts:62

## Methods

### override

- override(value: string | Observable<string>): void

- - Defined in src/i18n/i18n.service.ts:114

  #### Parameters

  - ##### value: string | Observable<string>

  #### Returns void

Generated using TypeDoc